Subject: Re: [AVTCORE] WG last call for RTCP Extension for Third-party Loss Report (draft-ietf-avtcore-feedback-supression-rtp-09)

From: Magnus Westerlund <[email-masked]>
Date: Thu, 16 Feb 2012 09:35:43 +0100

Hi,

I have reviewed the changes you have done. I think they are ok, except
for the one below.

On 2012-01-30 10:03, Qin Wu wrote:

> 1. Section 4.2:
> 
> Synchronization source (SSRC):32 bits
> 
>       The SSRC value of the media source that is requested to send a
>       decoder refresh point or that is indicated that it lost
>       synchronization with the video stream.
> 
> I think this definition is wrong. Shouldn't it be the SSRC for who's
> media stream the media sender is already aware of an expressed need for
> taking action that a PLI or FIR reqiests of this SSRC?
> 
> I don't think the above is the right text for the spec, but I just
> trying to express what the right type of definition would be.
> 
> [Qin]: Agree. How about changing the text as:
> "
> Section 4.2:
> 
>    Synchronization source (SSRC):32 bits
> 
>       The SSRC value of the media source that has already been aware the
>       receiver lost synchronization with the video stream and signal to
>       the receiver not sending a decoder refresh point
> "

I think this is better but has strange grammar. Wouldn't it be more
correct to say:

Synchronization source (SSRC):32 bits

       The SSRC value of the media source that is already aware, or in
the process of being made aware, that some receiver lost synchronization
with the media stream and for which the PSLEI receiver's own response to
any such error is suppressed.

?

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

---

From: Qin Wu <[email-masked]>
Date: Thu, 16 Feb 2012 09:59:37 +0000

Hi,Magnus:
The proposed change looks good to me, 
I will impement this in the update. Thank you very much.

Regards!
-Qin
________________________________________
发件人: [email-masked] [[email-masked]] 代表 Magnus Westerlund [[email-masked]]
发送时间: 2012年2月16日 16:35
到: Qin Wu
Cc: [email-masked]; [email-masked]
主题: Re: [AVTCORE] WG last call for RTCP Extension for Third-party Loss Report (draft-ietf-avtcore-feedback-supression-rtp-09)

Hi,

?

Cheers

Magnus Westerlund

_______________________________________________
Audio/Video Transport Core Maintenance
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: "Van Caenegem, Tom (Tom)" <[email-masked]>
Date: Wed, 22 Feb 2012 17:46:31 +0100

Hi Qin,

Three more comments:

Section 3

"When a receiver gets a Third Party Loss Report message, it should
   follow the rules for NACK suppression in RFC 4585 and refrain from
   sending a feedback request (e.g., NACK or FIR) for the missing
   packets reported in the message,which is dealt with in the same way
   as receiving NACK."

I touched upon this before.. Please explain why there is a "should" (capital letters?), as opposed to RFC4585 that uses "MUST" in the context of client feedback suppression. 

Section 6.1:

"However in the Distribution Source
   Feedback Summary model, the distribution source will not redistribute
   the NACK for some reason(e.g., to prevent revealing the identity or
   existence of a system sending NACK)and may send a Third Party Loss
   Report to the systems that were unable to receive the NACK, and won't
   receive the NACK via other means.  Since the summary feedback does
   not mandate the forwarding of NACK downstream.  The Third Party Loss
   Report can be generated at the distribution source when downstream
   loss is told (e.g., downstream loss report is received), which
   indicates to the receivers that they should not transmit feedback
   messages for the same loss event for a certain time.  Therefore the
   distribution source in the feedback summary model can be reasonably
   certain that it will help the situation by sending this Third Party
   Loss Report message to all the relevant receivers impacted by the
   packet loss"

-Sentence "Since the summary feedback (..)"  is to be deleted??
-"(..)it will help the situation " : it would be good to be more explicit on this...

Tom

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: donderdag 16 februari 2012 11:00
To: Magnus Westerlund
Cc: [email-masked]; [email-masked]
Subject: [AVTCORE] 答复: WG last call for RTCP Extension for Third-party Loss Report (draft-ietf-avtcore-feedback-supression-rtp-09)

Hi,Magnus:

Regards!
-Qin

Hi,

I have reviewed the changes you have done. I think they are ok, except for the one below.

On 2012-01-30 10:03, Qin Wu wrote:

> media stream the media sender is already aware of an expressed need 
> for taking action that a PLI or FIR reqiests of this SSRC?
>
>       the receiver not sending a decoder refresh point "

I think this is better but has strange grammar. Wouldn't it be more correct to say:

       The SSRC value of the media source that is already aware, or in the process of being made aware, that some receiver lost synchronization with the media stream and for which the PSLEI receiver's own response to any such error is suppressed.

?

Cheers

Magnus Westerlund

---

From: Qin Wu <[email-masked]>
Date: Thu, 23 Feb 2012 14:52:07 +0800

Hi, Tom:
----- Original Message ----- 
From: "Van Caenegem, Tom (Tom)" <[email-masked]>
To: "Qin Wu" <[email-masked]>; "Magnus Westerlund" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Thursday, February 23, 2012 12:46 AM
Subject: RE: [AVTCORE] 答复: WG last call for RTCP Extension for Third-party Loss Report (draft-ietf-avtcore-feedback-supression-rtp-09)

> I touched upon this before.. Please explain why there is a "should" (capital letters?), as opposed to RFC4585 that uses "MUST" in the context of client feedback suppression. 

I am fine with(either SHOULD or MUST). 

> -Sentence "Since the summary feedback (..)"  is to be deleted??

[Qin]: Okay.

> -"(..)it will help the situation " : it would be good to be more explicit on this...

[Qin]: Okay.